Name:          tnftp
Version:       20130505
Release:       4%{?dist}
Summary:       FTP (File Transfer Protocol) client from NetBSD

Group:         Applications/Internet
License:       BSD and ISC
# From the README:
# `tnftp' is a `port' of the NetBSD FTP client to other systems.
# See http://www.NetBSD.org/ for more details about NetBSD.
URL:           http://www.NetBSD.org/
Source0:       ftp://ftp.netbsd.org/pub/NetBSD/misc/%{name}/%{name}-%{version}.tar.gz

BuildRequires: ncurses-devel
BuildRequires: openssl-devel

%description
%{name} is the FTP (File Transfer Protocol) client from NetBSD.  FTP is a widely
used protocol for transferring files over the Internet and for archiving files.
%{name} provides some advanced features beyond the Linux netkit ftp client, but
maintains a similar user interface to the traditional ftp client.  It was
formerly called lukemftp.

%prep
%setup -q

%build
%configure --enable-editcomplete \
           --enable-ipv6 \
           --enable-ssl
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

%files
%doc ChangeLog COPYING NEWS README THANKS
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz

%changelog
* Mon Jun 03 2013 David Cantrell <dcantrell@redhat.com> - 20130505-4
- Add missing %%changelog lines and increment release number

* Thu May 30 2013 David Cantrell <dcantrell@redhat.com> - 20130505-3
- Remove the remaining unnecessary 'rm -rf %%{buildroot}'
- Include ChangeLog on the %%doc line
- Change License field to 'BSD and ISC'

* Wed May 29 2013 David Cantrell <dcantrell@redhat.com> - 20130505-2
- Remove unnecessary %%clean section
- Remove unnecessary %%defattr line in %%files section
- Use the %%{name} macro in the %%description and %%files sections
- Change URL to 'http://www.NetBSD.org/'

* Thu May 16 2013 David Cantrell <dcantrell@redhat.com> - 20130505-1
- Initial package
